### Function

# Ide get_user_shell

#### Declaration

    const gchar*
    ide_get_user_shell (
      void
    )

#### Description

Gets the user preferred shell on the host.

If the background shell discovery has not yet finished due to slow or misconfigured getent on the host, this will provide a sensible fallback.

Available since: | 3.32

#### Return value

Returns: | `const gchar*`
| A shell such as “/bin/sh”
| The data is owned by the called function.
| The value is a NUL terminated UTF-8 string.